
/*==============================================================================*/
/*																			  	*/
/*	File:  	BitBlitz														  	*/
/*	By: 	George Delaney  												  	*/
/*																				*/
/*	This file contains all of the resource declarations for the tool.			*/ 
/*																				*/
/*==============================================================================*/


#include "Types.r"
 include "BitBlitz.rsrc";

/*------------------------------------------------------------------------------*/
/*  Menu Item Position Constants  												*/

#define	ALLITEMS	0x7FFFFFFF

#define	ITEM1		0x00000001
#define	ITEM2		0x00000002
#define	ITEM3		0x00000004
#define	ITEM4		0x00000008
#define	ITEM5		0x00000010
#define	ITEM6		0x00000020
#define	ITEM7		0x00000040
#define	ITEM8		0x00000080
#define	ITEM9		0x00000100
#define	ITEM10		0x00000200
#define	ITEM11		0x00000400
#define	ITEM12		0x00000800
#define	ITEM13		0x00001000
#define	ITEM14		0x00002000
#define	ITEM15		0x00004000
#define	ITEM16		0x00008000
#define	ITEM17		0x00010000
#define	ITEM18		0x00020000
#define	ITEM19		0x00040000
#define	ITEM20		0x00080000
#define	ITEM21		0x00100000
#define	ITEM22		0x00200000
#define	ITEM23		0x00400000
#define	ITEM24		0x00800000
#define	ITEM25		0x01000000
#define	ITEM26		0x02000000
#define	ITEM27		0x04000000
#define	ITEM28		0x08000000
#define	ITEM29		0x10000000
#define	ITEM30		0x20000000


/*------------------------------------------------------------------------------*/
/* 	Size information 	*/

resource 'SIZE' (-1) {
	dontSaveScreen,
	acceptSuspendResumeEvents,
	enableOptionSwitch,
	canBackground,				
	multiFinderAware,		
	backgroundAndForeground,	
	dontGetFrontClicks,			
	ignoreChildDiedEvents,		
	not32BitCompatible,			
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	1000 * 1536,	
	1000 * 1536
};



/*------------------------------------------------------------------------------*/
/* 	Apple Menu	*/
resource 'MENU' (201, preload) { 201,textMenuProc, ALLITEMS-ITEM2,
								 enabled,apple,{
	/* [1] */	"About",			noIcon, nokey, noMark, plain,
	/* [2] */	"-",				noIcon, noKey, noMark, plain
}};


/*------------------------------------------------------------------------------*/
/* 	File Menu	*/
resource 'MENU' (202, preload) { 202,textMenuProc, ALLITEMS-ITEM6-ITEM9,
								 enabled,"File",{
	/* [1]  */	"New",				noIcon, "N", 	noMark, plain,
	/* [2]  */	"Open",			noIcon, "O", 	noMark, plain,
	/* [3]  */	"Close",			noIcon, "W", 	noMark, plain,
	/* [4]  */	"Save",				noIcon, "S", 	noMark, plain,
	/* [5]  */	"Save As", 		noIcon, noKey, 	noMark, plain,
	/* [6]  */	"-",				noIcon, noKey, 	noMark, plain,
	/* [7]  */	"Page Setup", 		noIcon, noKey, 	noMark, plain,
	/* [8]  */	"Print", 			noIcon, "P", 	noMark, plain,
	/* [9]  */	"-",				noIcon, noKey, 	noMark, plain,
	/* [10] */	"Quit",				noIcon, "Q", 	noMark, plain
}};


/*------------------------------------------------------------------------------*/
/* 	Edit Menu	*/
resource 'MENU' (203, preload) { 203,textMenuProc, ALLITEMS-ITEM2,
								 enabled,"Edit",{
	/* [1] */	"Undo",				noIcon, "Z", 	noMark, plain,
	/* [2] */	"-",				noIcon, noKey, 	noMark, plain,
	/* [3] */	"Cut",				noIcon, "X", 	noMark, plain,
	/* [4] */	"Copy",				noIcon, "C", 	noMark, plain,
	/* [5] */	"Paste",			noIcon, "V", 	noMark, plain,
	/* [6] */	"Clear", 			noIcon, noKey, 	noMark, plain
}};


/*------------------------------------------------------------------------------*/
/* 	Options Menu	*/
resource 'MENU' (204, preload) { 204,textMenuProc, ALLITEMS-ITEM4-ITEM11,
								 enabled,"Options",{
	/* [1] */	"Source Attributes", 		noIcon, noKey, 	noMark, 	plain,
	/* [2] */	"Mask Attributes", 		noIcon, noKey, 	noMark, 	plain,
	/* [3] */	"Destination Attributes", 	noIcon, noKey, 	noMark, 	plain,
	/* [4] */	"-",						noIcon, noKey, 	noMark, 	plain,
	/* [5] */	"Select Trap",				noIcon, noKey, 	noMark, 	plain,
	/* [6] */	"Copy Mode",				noIcon, "\$1B", "\0D104",	plain,
	/* [7] */	"-",						noIcon, noKey, 	noMark, 	plain,
	/* [8] */	"Clip Region",				noIcon, "\$1B", "\0D105",	plain,
	/* [9] */	"Vis Region",				noIcon, "\$1B", "\0D106",	plain,
	/* [10] */	"Mask Region",				noIcon, "\$1B", "\0D107",	plain,
	/* [11] */	"-",						noIcon, noKey, 	noMark, 	plain,
	/* [12] */	"Foreground Color",			noIcon, "\$1B", "\0D108", 	plain,
	/* [13] */	"Background Color",			noIcon, "\$1B", "\0D109", 	plain,
	/* [14] */	"OpColor",					noIcon, "\$1B", "\0D110",	plain,
	/* [15] */	"Hilite Color",				noIcon, "\$1B", "\0D111",	plain,
	/* [16] */	"-",						noIcon, noKey, 	noMark, 	plain,
	/* [17] */  "Use Screen Bits for Copy", noIcon, noKey, 	noMark, 	plain,
	/* [18] */  "Dither", 					noIcon, noKey, 	noMark, 	plain,
}};


/*------------------------------------------------------------------------------*/
/* Clip Region Setting */
resource 'MENU' (104,preload) {104, textMenuProc,ALLITEMS-ITEM9-ITEM17,
							   enabled, "CopyModes", {
/* [1] */ 	"srcCopy", 		noIcon, noKey, noMark, plain,
/* [2] */ 	"srcOr", 		noIcon, noKey, noMark, plain,
/* [3] */ 	"srcXor", 		noIcon, noKey, noMark, plain,
/* [4] */ 	"srcBic", 		noIcon, noKey, noMark, plain,
/* [5] */ 	"notSrcCopy", 	noIcon, noKey, noMark, plain,
/* [6] */ 	"notSrcOr", 	noIcon, noKey, noMark, plain,
/* [7] */ 	"notSrcXor", 	noIcon, noKey, noMark, plain,
/* [8] */ 	"notSrcBic", 	noIcon, noKey, noMark, plain,
/* [9] */ 	"-", 			noIcon, noKey, noMark, plain,
/* [10] */ 	"blend", 		noIcon, noKey, noMark, plain,
/* [11] */ 	"addPin", 		noIcon, noKey, noMark, plain,
/* [12] */ 	"addOver", 		noIcon, noKey, noMark, plain,
/* [13] */ 	"addMin", 		noIcon, noKey, noMark, plain,
/* [14] */ 	"addMax", 		noIcon, noKey, noMark, plain,
/* [15] */ 	"subPin", 		noIcon, noKey, noMark, plain,
/* [16] */ 	"subOver", 		noIcon, noKey, noMark, plain,
/* [17] */ 	"-", 			noIcon, noKey, noMark, plain,
/* [18] */ 	"transparent", 	noIcon, noKey, noMark, plain,
/* [19] */ 	"hilite", 		noIcon, noKey, noMark, plain
}};


/*------------------------------------------------------------------------------*/
/* Clip Region Setting */
resource 'MENU' (105,preload) {105, textMenuProc,ALLITEMS,
							   enabled, "Clip Region", {
	/* [1] */	"No Clip",			noicon, noKey, noMark, plain,
	/* [2] */	"Diamond",			noicon, noKey, noMark, plain,
	/* [3] */	"Oval",				noicon, noKey, noMark, plain,
	/* [4] */	"Star",				noicon, noKey, noMark, plain,
	/* [5] */	"Hole",				noicon, noKey, noMark, plain,
}};


/*------------------------------------------------------------------------------*/
/* Vis Region Setting */
resource 'MENU' (106,preload) {106, textMenuProc,ALLITEMS,
							   enabled, "Vis Region", {
	/* [1] */	"Window's Vis",			noicon, noKey, noMark, plain,
	/* [2] */	"Diamond",			noicon, noKey, noMark, plain,
	/* [3] */	"Oval",				noicon, noKey, noMark, plain,
	/* [4] */	"Star",				noicon, noKey, noMark, plain,
	/* [5] */	"Hole",				noicon, noKey, noMark, plain,
}};


/*------------------------------------------------------------------------------*/
/* Mask Region Setting */
resource 'MENU' (107,preload) {107, textMenuProc,ALLITEMS,
							   enabled, "Mask Region", {
	/* [1] */	"No Mask",			noicon, noKey, noMark, plain,
	/* [2] */	"Diamond",			noicon, noKey, noMark, plain,
	/* [3] */	"Oval",				noicon, noKey, noMark, plain,
	/* [4] */	"Star",				noicon, noKey, noMark, plain,
	/* [5] */	"Hole",				noicon, noKey, noMark, plain,
}};


/*------------------------------------------------------------------------------*/
/* ForeColor Selections */
resource 'MENU' (108,preload) {108, textMenuProc,ALLITEMS,
							   enabled, "ForeColor", {
	/* [1] */	"Black",			noicon, noKey, noMark, plain,
	/* [2] */	"White",			noicon, noKey, noMark, plain,
	/* [3] */	"Red",				noicon, noKey, noMark, plain,
	/* [4] */	"Green",			noicon, noKey, noMark, plain,
	/* [5] */	"Blue",				noicon, noKey, noMark, plain,
	/* [6] */	"Cyan",				noicon, noKey, noMark, plain,
	/* [7] */	"Magenta",			noicon, noKey, noMark, plain,
	/* [8] */	"Yellow",			noicon, noKey, noMark, plain,
	/* [9] */	"Gray",				noicon, noKey, noMark, plain,
	/* [10] */	"-",				noIcon, noKey, noMark, plain,
	/* [11] */	"Custom...",		noicon, noKey, noMark, plain,
}};


/*------------------------------------------------------------------------------*/
/* BackGround Selections */
resource 'MENU' (109,preload) {109, textMenuProc,ALLITEMS,
							   enabled, "BackColor", {
	/* [1] */	"Black",			noicon, noKey, noMark, plain,
	/* [2] */	"White",			noicon, noKey, noMark, plain,
	/* [3] */	"Red",				noicon, noKey, noMark, plain,
	/* [4] */	"Green",			noicon, noKey, noMark, plain,
	/* [5] */	"Blue",				noicon, noKey, noMark, plain,
	/* [6] */	"Cyan",				noicon, noKey, noMark, plain,
	/* [7] */	"Magenta",			noicon, noKey, noMark, plain,
	/* [8] */	"Yellow",			noicon, noKey, noMark, plain,
	/* [9] */	"Gray",				noicon, noKey, noMark, plain,
	/* [10] */	"-",				noIcon, noKey, noMark, plain,
	/* [11] */	"Custom...",		noicon, noKey, noMark, plain,
}};


/*------------------------------------------------------------------------------*/
/* OPColor Selections */
resource 'MENU' (110,preload) {110, textMenuProc,ALLITEMS,
							   enabled, "OPColor", {
	/* [1] */	"Black",			noicon, noKey, noMark, plain,
	/* [2] */	"White",			noicon, noKey, noMark, plain,
	/* [3] */	"Red",				noicon, noKey, noMark, plain,
	/* [4] */	"Green",			noicon, noKey, noMark, plain,
	/* [5] */	"Blue",				noicon, noKey, noMark, plain,
	/* [6] */	"Cyan",				noicon, noKey, noMark, plain,
	/* [7] */	"Magenta",			noicon, noKey, noMark, plain,
	/* [8] */	"Yellow",			noicon, noKey, noMark, plain,
	/* [9] */	"Gray",				noicon, noKey, noMark, plain,
	/* [10] */	"-",				noIcon, noKey, noMark, plain,
	/* [11] */	"Custom...",		noicon, noKey, noMark, plain,
}};


/*------------------------------------------------------------------------------*/
/* Hilite Color Selections */
resource 'MENU' (111,preload) {111, textMenuProc,ALLITEMS,
							   enabled, "Hilite Color", {
	/* [1] */	"Black",			noicon, noKey, noMark, plain,
	/* [2] */	"White",			noicon, noKey, noMark, plain,
	/* [3] */	"Red",				noicon, noKey, noMark, plain,
	/* [4] */	"Green",			noicon, noKey, noMark, plain,
	/* [5] */	"Blue",				noicon, noKey, noMark, plain,
	/* [6] */	"Cyan",				noicon, noKey, noMark, plain,
	/* [7] */	"Magenta",			noicon, noKey, noMark, plain,
	/* [8] */	"Yellow",			noicon, noKey, noMark, plain,
	/* [9] */	"Gray",				noicon, noKey, noMark, plain,
	/* [10] */	"-",				noIcon, noKey, noMark, plain,
	/* [11] */	"Custom...",		noicon, noKey, noMark, plain,
}};


/*------------------------------------------------------------------------------*/
/* Window Title Strings */
resource 'STR#' (4000) {{
/* [1] */	" Source Bits ",
/* [2] */	" Mask Bits ",
/* [3] */	" Dest Bits ",
/* [4] */	" CopyMask ",
/* [5] */	" CopyDeepMask ",
/* [6] */	" CopyBits ",
}};


/*------------------------------------------------------------------------------*/
/* General String Resources */
resource 'STR#' (4001) {{
	"Sorry. There is not enough memory available to run this program.",
	"There is not enough memory to set window to desired depth.",
	"There is not enough memory to resize window to specified dimensions.",
	"The selected PICT image can not be read.  Current buffer contents remain unchanged.",
}};


/*------------------------------------------------------------------------------*/
/* Attributes Dialog Title Strings */
resource 'STR#' (4002) {{
/* [1] */	"Select Source Window Attributes:",
/* [2] */	"Select Mask Window Attributes:",
/* [3] */	"Select Destination Window Attributes:",
/* [4] */	"Select CopyMask Window Attributes:",
}};
