
/*											*/
/*	Macintosh Developer Technical Support	*/
/*											*/
/*	Sample Monitors Extension Code			*/
/*											*/
/*	MonitorExtend							*/
/*											*/
/*	PExtend.make	-	Make Source			*/
/*											*/
/*	Copyright  1989 Apple Computer, Inc.	*/
/*	All rights reserved.					*/
/*											*/
/*	Versions:	0.0					4/89	*/
/*  Updated for nuMonitors version 4.0a18	*/
/*											*/

#include "Types.r"
#include "SysTypes.r"

type 'kcah' as 'STR ';

type 'card' as 'STR ';

type 'sysz' { unsigned hex longint; };

type 'RECT' 
{
	rect;
};

type 'vers' {
		hex byte;												/* Major revision in BCD*/
		hex byte;												/* Minor vevision in BCD*/
		hex byte	development = 0x20,							/* Release stage		*/
					alpha = 0x40,
					beta = 0x60,
					final = 0x80, /* or */ release = 0x80;
		hex byte;												/* Non-final release #	*/
		integer		Country;									/* Country code			*/
		pstring;												/* Short version number	*/
		pstring;												/* Long version number	*/
};

resource 'sysz' (0, purgeable) {
	$1000		/* about 64k needed in system heap, for a test */
};


resource 'vers' (1) {
	0x01, 0x00, release, 0x00,
	verUS,
	"0.00",
	"0.00, Copyright  1989 Apple Computer, Inc."
};

resource 'kcah' (0, purgeable) {
	"Monitors Extension Sample by Macintosh Developer Technical Support"
};

resource 'BNDL' (128, purgeable) {
	'kcah',
	0,
	{
	'ICN#', {0, 128},
	'FREF', {0, 128}
	}
};


resource 'ICN#' (128, purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 07FF FFE0 0800 0010 09FF FF90"
		$"0A00 0050 0A00 0050 0AF3 E750 0A88 8850"
		$"0A88 8850 0A88 8650 0A88 8150 0A88 8150"
		$"0AF0 8E50 0A00 0050 0A00 0050 0A00 0050"
		$"09FF FF90 0800 0010 0FFF FFF0 0800 0010"
		$"0800 0010 0800 0010 0800 7F10 0800 0010"
		$"0800 0010 0800 0010 0800 0010 07FF FFE0"
		$"0400 0020 0400 0020 0400 0020 07FF FFE0",
		/* [2] */
		$"0000 0000 07FF FFE0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 0FFF FFF0 0FFF FFF0 07FF FFE0"
		$"07FF FFE0 07FF FFE0 07FF FFE0 07FF FFE0"
	}
};

data 'ICON' (-4096, purgeable) {
	$"0000 0000 07FF FFE0 0800 0010 09FF FF90"        
	$"0A00 0050 0A00 0050 0AF3 E750 0A88 8850"        
	$"0A88 8850 0A88 8650 0A88 8150 0A88 8150"        
	$"0AF0 8E50 0A00 0050 0A00 0050 0A00 0050"        
	$"09FF FF90 0800 0010 0FFF FFF0 0800 0010"       
	$"0800 0010 0800 0010 0800 7F10 0800 0010"        
	$"0800 0010 0800 0010 0800 0010 07FF FFE0"        
	$"0400 0020 0400 0020 0400 0020 07FF FFE0"      
	$"0000 0000 07FF FFE0 0FFF FFF0 0FFF FFF0"       
	$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"     
	$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"      
	$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"       
	$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"      
	$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"       
	$"0FFF FFF0 0FFF FFF0 0FFF FFF0 07FF FFE0"     
	$"07FF FFE0 07FF FFE0 07FF FFE0 07FF FFE0"      
};

resource 'DITL' (-4096, purgeable) {
	{	/* array DITLarray: 1 element  */
		/* [1] */
		{15, 110, 50, 280},
		StaticText {
			disabled,
			"Macintosh Developer Technical Support Mo"
			"nitor Extension Example  1989"
		}
	}
};

resource 'FREF' (128, purgeable) {
	'cdev',
	0,
	""
};




resource 'RECT' (-4096, purgeable)
{
	{-50,0,0,320}
};

resource 'card' (-4096, purgeable)
{
	"Toby frame buffer card"
};

